cc.funkemunky.api.profiling

## Enum ResultsType

- java.lang.Object
- - java.lang.Enum<ResultsType>
  - - cc.funkemunky.api.profiling.ResultsType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ResultsType>

    public enum ResultsType
    extends java.lang.Enum<ResultsType>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`AVERAGE`
`SAMPLES`
`TICK`
`TOTAL`

### Method Summary

All Methods Static Methods Concrete Methods
`static ResultsType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ResultsType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### SAMPLES

    public static final ResultsType SAMPLES

#### TOTAL

    public static final ResultsType TOTAL

#### AVERAGE

    public static final ResultsType AVERAGE

#### TICK

    public static final ResultsType TICK

### Method Detail

#### values

    public static ResultsType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ResultsType c : ResultsType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ResultsType valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null